Loading...
Searching...
No Matches
Opm::InitConfig Class Reference

Settings for model initialisation. More...

`#include <InitConfig.hpp>`

## Public Member Functions

| InitConfig ()=default
| Default constructor.
| InitConfig (const Deck &deck, const Phases &phases)
| Constructor.
void | setRestart (const std::string &root, int step)
| Assign simulation restart information.
bool | restartRequested () const
| Whether or not this is a restarted simulation run (input uses the RESTART keyword).
int | getRestartStep () const
| Report step from which to restart the simulation.
const std::string & | getRestartRootName () const
| Full path to run's restart input (i.e., run's initial pressures, saturations, Rs, &c).
const std::string & | getRestartRootNameInput () const
| Relative path to run's restart input (i.e., run's initial pressures, saturations, Rs, &c).
bool | hasEquil () const
| Whether or not run uses initialisation by equilibration.
const Equil & | getEquil () const
| Equilibration specification.
bool | hasStressEquil () const
| Whether or not run initialises its mechanical stresses by an equilibration procedure (STREQUIL keyword).
const StressEquil & | getStressEquil () const
| Mechanical stress equilibration specification.
bool | hasGravity () const
| Whether or not run includes gravity effects.
bool | hasFoamConfig () const
| Whether or not run includes foam effects.
const FoamConfig & | getFoamConfig () const
| Run's foam configuration.
bool | filleps () const
| Whether or not the run specifies the FILLEPS keyword that requests expanded end-point scaling arrays be output to the run's INIT file.
bool | operator== (const InitConfig &config) const
| Equality predicate.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.

## Static Public Member Functions

static InitConfig | serializationTestObject ()
| Create a serialisation test object.
static bool | rst_cmp (const InitConfig &full_config, const InitConfig &rst_config)
| Equality predicate for objects created from restart file information.

## Detailed Description

Settings for model initialisation.

## Constructor & Destructor Documentation

## InitConfig() [1/2]

Opm::InitConfig::InitConfig | ( |  | ) |

default

Default constructor.

Resulting object is mostly usable as a target in a deserialisation operation.

## InitConfig() [2/2]

Opm::InitConfig::InitConfig | ( | const Deck & | deck,
|  | const Phases & | phases )

Constructor.

Internalises the run's initialisation-related information.

Parameters

  [in] | deck | Run's model description.

## Member Function Documentation

## getEquil()

const Equil & Opm::InitConfig::getEquil | ( |  | ) | const

Equilibration specification.

Only meaningful if hasEquil() returns true.

## getFoamConfig()

const FoamConfig & Opm::InitConfig::getFoamConfig | ( |  | ) | const

Run's foam configuration.

Only meaningful if hasFoamConfig() returns true.

## getRestartRootName()

const std::string & Opm::InitConfig::getRestartRootName | ( |  | ) | const

Full path to run's restart input (i.e., run's initial pressures, saturations, Rs, &c).

Only meaningful if restartRequested() returns true.

## getRestartRootNameInput()

const std::string & Opm::InitConfig::getRestartRootNameInput | ( |  | ) | const

Relative path to run's restart input (i.e., run's initial pressures, saturations, Rs, &c).

Copy of item 1 from the RESTART keyword.

Only meaningful if restartRequested() returns true.

## getRestartStep()

int Opm::InitConfig::getRestartStep | ( |  | ) | const

Report step from which to restart the simulation.

Only meaningful if restartRequested() returns true.

## getStressEquil()

const StressEquil & Opm::InitConfig::getStressEquil | ( |  | ) | const

Mechanical stress equilibration specification.

Only meaningful if hasStressEquil() returns true.

## hasGravity()

bool Opm::InitConfig::hasGravity | ( |  | ) | const

inline

Whether or not run includes gravity effects.

Will be true unless run specifies the NOGRAV keyword.

## hasStressEquil()

bool Opm::InitConfig::hasStressEquil | ( |  | ) | const

Whether or not run initialises its mechanical stresses by an equilibration procedure (STREQUIL keyword).

Only relevant for runs with geo-mechanical effects.

## operator==()

bool Opm::InitConfig::operator== | ( | const InitConfig & | config | ) | const

Equality predicate.

Parameters

  [in] | config | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `config`.

## rst_cmp()

bool Opm::InitConfig::rst_cmp | ( | const InitConfig & | full_config,
|  | const InitConfig & | rst_config )

static

Equality predicate for objects created from restart file information.

Exists mostly to support simulation restart development and may be removed in the future.

Parameters

  [in] | full_config | Initialisation information from a complete model description.
  [in] | rst_config | Initialisation information formed from restart file information.

Returns
  Whether or not the restart information in `rst_config` matches the retart information in `full_config`.

## serializeOp()

template<class Serializer>

void Opm::InitConfig::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

## setRestart()

void Opm::InitConfig::setRestart | ( | const std::string & | root,
|  | int | step )

Assign simulation restart information.

Mostly provided to construct a meaningful InitConfig object during simulation restart.

Parameters

  [in] | root | Full path to run's restart input file containing the run's initial pressure and mass distributions.
  [in] | step | One-based report step from which to restart the simulation run.

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/InitConfig/InitConfig.hpp
- opm/input/eclipse/EclipseState/InitConfig/InitConfig.cpp